#!/bin/sh
#

#Construct timestamp
timestamp=`date +%Y%m%d_%H%M`

#Construct memory dump filename
dump_file=/var/fonality/dump/${HOSTNAME}_${timestamp}.snapshot

#Define HUD Server pid file (there should be stored current pid)
pid_file=/var/run/HUDServer.pid

#Get pid
server_pid=`cat ${pid_file}`

#Create dumps directory if it's not exits yet
mkdir -p /var/fonality/dump

#Dump memory using jmap
/usr/java/default/bin/jmap -F -dump:format=b,file=${dump_file} ${server_pid}

